Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Body

application/json

Request options for configuring a component's prop

id
string
required

The component ID

external_user_id
string
required

The external user ID

prop_name
string
required

The name of the prop to configure

version
string | null
default:latest

Component semantic version

Example:

"1.0.0"

blocking
boolean

Whether this operation should block until completion

configured_props
object

The configured properties of the component

dynamic_props_id
string

The ID for dynamic props

page
number

Page number for paginated results

prev_context
object

Previous context for pagination

query
string

Search query for filtering options

Response

trigger configuration started

Response received after configuring a component's prop

options
object[] | null

Available options (with labels) for the configured prop

A configuration option for a component's prop

stringOptions
string[] | null

Available options for the configured prop

observations
object[] | null
context
object | null

New context after configuring the prop

errors
string[]

Any errors that occurred during configuration